#include <bits/stdc++.h>

using namespace std;

long long res(long long x)
{
    if(x==0)return 0;
    if(x==1)return 1;
    if(x==2)return 1;
    if(x==3)return 2;
    if(x==4)return 2;
    if(x==5)return 1;
    if(x==6)return 2;
    if(x==7)return 2;
    if(x==8)return 3;
    if(x==9)return 3;
}

int main()
{
    long long v;
    cin>>v;
    long long s=0;
    while(v!=0)
    {
        long long c=v%10;
        v/=10;
        s+=res(c);
    }
    cout<<s;
    return 0;
}